# log4cplus::spi::StringMatchFilter Class Reference

This is a very simple filter based on string matching. More...

`#include <filter.h>`

Inheritance diagram for log4cplus::spi::StringMatchFilter:

[legend]
Collaboration diagram for log4cplus::spi::StringMatchFilter:

[legend]
List of all members.

## Public Member Functions

| StringMatchFilter ()
| StringMatchFilter (const log4cplus::helpers::Properties &p)
virtual FilterResult | decide (const InternalLoggingEvent &event) const
| Returns NEUTRAL is there is no string match.

## Detailed Description

This is a very simple filter based on string matching.

The filter admits two options StringToMatch and AcceptOnMatch. If there is a match between the value of the StringToMatch option and the message of the Logging event, then the decide method returns ACCEPT if the AcceptOnMatch option value is true, if it is false then DENY is returned. If there is no match, NEUTRAL is returned.

Definition at line 235 of file filter.h.

## Constructor & Destructor Documentation

log4cplus::spi::StringMatchFilter::StringMatchFilter | ( |  | ) |

log4cplus::spi::StringMatchFilter::StringMatchFilter | ( | const log4cplus::helpers::Properties & | p | ) |

## Member Function Documentation

virtual FilterResult log4cplus::spi::StringMatchFilter::decide | ( | const InternalLoggingEvent & | event | ) | const`[virtual]`

| Returns NEUTRAL is there is no string match. Implements log4cplus::spi::Filter.

The documentation for this class was generated from the following file:

- filter.h